Debian Bug report logs - #337065
Labels and UUID only supported for ext2/ext3 and reiser

version graph

Package: yaird; Maintainer for yaird is (unknown);

Reported by: Antonio Kanouras <solist@solistland.dnsalias.org>

Date: Wed, 2 Nov 2005 13:48:06 UTC

Severity: wishlist

Merged with 341498, 457462

Found in versions yaird/0.0.11-10, yaird/0.0.11-12

Fixed in version 0.0.13-5+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#337065; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Antonio Kanouras <solist@solistland.dnsalias.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antonio Kanouras <solist@solistland.dnsalias.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: yaird: fails with error: uuid '472dd55c-c2ab-462b-a7b1-2cc890b2d074' not found
Date: Wed, 02 Nov 2005 15:42:20 +0200
[Message part 1 (text/plain, inline)]
Package: yaird
Version: 0.0.11-10
Severity: important

Hi,

when I try to install linux-image-2.6.14-1-686, this happens:

dias:~# apt-get install
Reading package lists... Done
Building dependency tree... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
Need to get 0B of archives.
After unpacking 0B of additional disk space will be used.
Setting up linux-image-2.6.14-1-686 (2.6.14-2) ...
Using /usr/sbin/mkinitrd.yaird to build the ramdisk.
Full list of probed ramdisk generating tools : /usr/sbin/mkinitrd
/usr/sbin/mkinitrd.yaird /usr/sbin/mkinitramfs.
yaird error: uuid '472dd55c-c2ab-462b-a7b1-2cc890b2d074' not found
(/etc/fstab:5) (fatal)
Failed to create initrd image.
dpkg: error processing linux-image-2.6.14-1-686 (--configure):
 subprocess post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-2.6-686:
 linux-image-2.6-686 depends on linux-image-2.6.14-1-686; however:
  Package linux-image-2.6.14-1-686 is not configured yet.
dpkg: error processing linux-image-2.6-686 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 linux-image-2.6.14-1-686
 linux-image-2.6-686
E: Sub-process /usr/bin/dpkg returned an error code (1)
dias:~#

It also happens with linux-image-2.6.14-1-686 (2.6.14-1).
I had installed 2.6.14-1, but because of this it was always in a
half-configured state. When I upgraded to 2.6.14-2, it showed a
different error, stating it didn't find the root device and thus assumed
it's /dev/hda1, and succesfully created an unbootable initrd (panic:
could not find root fs). But something happened again and it stayed
half-configured again. After that it always shows the above messages.

I attached a copy of my /etc/fstab.

Thanks,

Antonio

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (750, 'unstable'), (700, 'testing'), (200, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.13-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages yaird depends on:
ii  cpio                         2.6-9       GNU cpio -- a program to manage ar
ii  dash                         0.5.2-8     The Debian Almquist Shell
ii  libc6                        2.3.5-7     GNU C Library: Shared libraries an
ii  libhtml-template-perl        2.6-2       HTML::Template : A module for usin
ii  libparse-recdescent-perl     1.94.free-1 Generates recursive-descent parser
ii  perl                         5.8.7-7     Larry Wall's Practical Extraction 

yaird recommends no packages.

-- no debconf information
[fstab (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#337065; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Erik van Konijnenburg <ekonijn@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Erik van Konijnenburg <ekonijn@xs4all.nl>
To: Antonio Kanouras <solist@solistland.dnsalias.org>, 337065@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#337065: yaird: fails with error: uuid '472dd55c-c2ab-462b-a7b1-2cc890b2d074' not found
Date: Wed, 2 Nov 2005 17:43:17 +0100
On Wed, Nov 02, 2005 at 03:42:20PM +0200, Antonio Kanouras wrote:
> yaird error: uuid '472dd55c-c2ab-462b-a7b1-2cc890b2d074' not found
> (/etc/fstab:5) (fatal)

> I attached a copy of my /etc/fstab.

> UUID=472dd55c-c2ab-462b-a7b1-2cc890b2d074	/               xfs     defaults        0       1

At the moment, yaird only recognises labels for ext2 and reiser.

The workaround is to mount /dev/disk/by-uuid/47..74.

The fix is to rip out the label/uuid recognition in yaird and replace it
with a wrapper around blkid.

--erik



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#337065; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Erik van Konijnenburg <ekonijn@xs4all.nl>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#337065; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Martin Steigerwald <Martin@lichtvoll.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 337065@bugs.debian.org (full text, mbox):

From: Martin Steigerwald <Martin@lichtvoll.de>
To: 337065@bugs.debian.org
Subject: yaird does not work with labels on XFS either
Date: Thu, 1 Dec 2005 09:41:04 +0100
Hello,

see bug #341498.

Regards,
-- 
Martin 'Helios' Steigerwald - http://www.Lichtvoll.de



Information forwarded to debian-bugs-dist@lists.debian.org, Yaird Team <yaird-devel@lists.alioth.debian.org>:
Bug#337065; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Yaird Team <yaird-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 337065@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 341498@bugs.debian.org, 337065@bugs.debian.org
Cc: control@bugs.debian.org
Subject: These are the same bug
Date: Tue, 30 May 2006 16:32:00 +0200
[Message part 1 (text/plain, inline)]
retitle 341498 Labels and UUID only supported for ext2/ext3 and reiser
retitle 337065 Labels and UUID only supported for ext2/ext3 and reiser
severity 341498 wishlist
severity 337065 wishlist
merge 341498 337065
thanks

It is a known and documented limitation of yaird that labels and UUID
is supported only for ext/ext3 and reiser.

Merging bugs related to this issue, and lowering to wishlist,
considering them a request for added features.

Upstream suggests[1] to use blkid. Patches for doing this are most
welcome! :-)


 - Jonas

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=337065;msg=12

-- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Jonas Smedegaard <dr@jones.dk> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist' from `important' Request was from Jonas Smedegaard <dr@jones.dk> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 337065 341498. Request was from Jonas Smedegaard <dr@jones.dk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Yaird Team <yaird-devel@lists.alioth.debian.org>:
Bug#337065; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to Yaird Team <yaird-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #36 received at 337065@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: control@bugs.debian.org
Cc: 337065@bugs.debian.org, 337724@bugs.debian.org, 340759@bugs.debian.org, 341522@bugs.debian.org, 352757@bugs.debian.org, 382788@bugs.debian.org, 457459@bugs.debian.org, 457462@bugs.debian.org, 457465@bugs.debian.org
Subject: setting package to yaird, forcibly merging 337724 457465, forcibly merging 337065 457462 ... ... ...
Date: Sat, 22 Dec 2007 21:55:18 +0100
# Automatically generated email from bts, devscripts version 2.10.11
package yaird
forcemerge 337724 457465
forcemerge 337065 457462
forcemerge 341522 352757
#forgot to cc control@b.d.o
severity 340759 minor
forcemerge 340759 382788 457459





Forcibly Merged 337065 341498 457462. Request was from Jonas Smedegaard <dr@jones.dk> to control@bugs.debian.org. (Sat, 22 Dec 2007 21:00:58 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Yaird Team <yaird-devel@lists.alioth.debian.org>:
Bug#337065; Package yaird. Full text and rfc822 format available.

Acknowledgement sent to Patrick McManus <mcmanus@ducksong.com>:
Extra info received and forwarded to list. Copy sent to Yaird Team <yaird-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #43 received at 337065@bugs.debian.org (full text, mbox):

From: Patrick McManus <mcmanus@ducksong.com>
To: 337065@bugs.debian.org
Subject: yaird support for XFS UUID and LABEL
Date: Thu, 14 Feb 2008 15:37:05 -0500
This patch gives yaird support for UUID and LABEL with XFS

commit a859d72be297f7c7f6dde51ea11e347e160913a8
Author: Patrick McManus <mcmanus@ducksong.com>
Date:   Thu Feb 14 15:21:24 2008 -0500

    yaird label and uuid support for xfs
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=337065
    debian bug 337065 merged with Merged with #341498, #457462;
    
    XFS superblock information that allows yaird to work with UUIDs in
    /etc/fstab as it already can for ext3 and Resier
    
    Use of blkid tool is still a better idea, but this patch is consistent
    with existing support

diff --git a/perl/LabeledPartition.pm b/perl/LabeledPartition.pm
index e1c9553..5cbff3d 100644
--- a/perl/LabeledPartition.pm
+++ b/perl/LabeledPartition.pm
@@ -69,6 +69,7 @@ sub try ($) {
 	binmode ($fh);
 	$result = tryExt2 ($fh, $path) unless defined $result;
 	$result = tryReiser ($fh, $path) unless defined $result;
+	$result = tryXFS ($fh, $path) unless defined $result;
 
 	# ignore errors, could not have been very wrong
 	# if a working superblock came out of it.
@@ -149,4 +150,42 @@ sub tryReiser ($$) {
 	return $result;
 }
 
+sub tryXFS ($$)
+{
+	my ($fh, $path) = @_;
+	my $result = undef;
+       
+	# bytes 32-47 are the uuid
+	# offset is 0 - seek back to start
+	if (! seek ($fh, 0, 0)) {
+		return $result;
+	}
+
+	my $superBlock;
+	my $rc = read ($fh, $superBlock, 120);
+	if (! defined ($rc) || $rc != 120) {
+		return $result;
+	}
+
+	my ($magic, $uuid, $label) =
+		unpack
+		"N x[28] a[16] x[60] Z[12]",
+		$superBlock;
+
+	my $t = join ("", map { sprintf "%02x", ord($_) } split(//, $uuid));
+
+	if ($magic == 0x58465342) {
+
+		$uuid = fancyUuid ($uuid);
+		$result = LabeledPartition->new (
+			type => "xfs",
+			label => $label,
+			uuid => fancyUuid($t),
+			path => $path,
+			);
+
+	}
+	return $result;
+}    
+
 1;






Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 14 May 2011 11:51:41 GMT) Full text and rfc822 format available.

Notification sent to Antonio Kanouras <solist@solistland.dnsalias.org>:
Bug acknowledged by developer. (Sat, 14 May 2011 11:51:42 GMT) Full text and rfc822 format available.

Message #48 received at 337065-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 327762-done@bugs.debian.org,328508-done@bugs.debian.org,335315-done@bugs.debian.org,336392-done@bugs.debian.org,336454-done@bugs.debian.org,336514-done@bugs.debian.org,336518-done@bugs.debian.org,336599-done@bugs.debian.org,336688-done@bugs.debian.org,336995-done@bugs.debian.org,337065-done@bugs.debian.org,337724-done@bugs.debian.org,338734-done@bugs.debian.org,338951-done@bugs.debian.org,339941-done@bugs.debian.org,340344-done@bugs.debian.org,340593-done@bugs.debian.org,340746-done@bugs.debian.org,340759-done@bugs.debian.org,340873-done@bugs.debian.org,341273-done@bugs.debian.org,341498-done@bugs.debian.org,341522-done@bugs.debian.org,343592-done@bugs.debian.org,343911-done@bugs.debian.org,343918-done@bugs.debian.org,344926-done@bugs.debian.org,345374-done@bugs.debian.org,346093-done@bugs.debian.org,346294-done@bugs.debian.org,348293-done@bugs.debian.org,350880-done@bugs.debian.org,352677-done@bugs.debian.org,352757-done@bugs.debian.org,360665-done@bugs.debian.org,365818-done@bugs.debian.org,369965-done@bugs.debian.org,370616-done@bugs.debian.org,372834-done@bugs.debian.org,377801-done@bugs.debian.org,378481-done@bugs.debian.org,378936-done@bugs.debian.org,381299-done@bugs.debian.org,382788-done@bugs.debian.org,382945-done@bugs.debian.org,386483-done@bugs.debian.org,387081-done@bugs.debian.org,387543-done@bugs.debian.org,388066-done@bugs.debian.org,389441-done@bugs.debian.org,391221-done@bugs.debian.org,391446-done@bugs.debian.org,391456-done@bugs.debian.org,394190-done@bugs.debian.org,394389-done@bugs.debian.org,394480-done@bugs.debian.org,396963-done@bugs.debian.org,401050-done@bugs.debian.org,403203-done@bugs.debian.org,404859-done@bugs.debian.org,405804-done@bugs.debian.org,422412-done@bugs.debian.org,429629-done@bugs.debian.org,429928-done@bugs.debian.org,446242-done@bugs.debian.org,457177-done@bugs.debian.org,457460-done@bugs.debian.org,457462-done@bugs.debian.org,457465-done@bugs.debian.org,457466-done@bugs.debian.org,457467-done@bugs.debian.org,459777-done@bugs.debian.org,496500-done@bugs.debian.org,516465-done@bugs.debian.org,518315-done@bugs.debian.org,519866-done@bugs.debian.org,520535-done@bugs.debian.org,552872-done@bugs.debian.org,584565-done@bugs.debian.org,626612-done@bugs.debian.org,
Cc: yaird@packages.debian.org, yaird@packages.qa.debian.org
Subject: Bug#626688: Removed package(s) from unstable
Date: Sat, 14 May 2011 11:46:56 +0000
Version: 0.0.13-5+rm

Dear submitter,

as the package yaird has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/626688

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 14 May 2011 11:51:43 GMT) Full text and rfc822 format available.

Notification sent to Martin Steigerwald <Martin@lichtvoll.de>:
Bug acknowledged by developer. (Sat, 14 May 2011 11:51:43 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 14 May 2011 11:51:44 GMT) Full text and rfc822 format available.

Notification sent to maximilian attems <max@stro.at>:
Bug acknowledged by developer. (Sat, 14 May 2011 11:51:44 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Jun 2011 07:39:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:39:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.